Subject: Re: [net-next PATCH v6 0/4] net: dsa: Add Airoha AN8855 support

From: Christian Marangi <[email-masked]>
Date: Sun, 17 Nov 2024 14:31:45 +0100

On Sat, Nov 16, 2024 at 02:12:45PM +0100, Christian Marangi wrote:
> This small series add the initial support for the Airoha AN8855 Switch.
> 
> It's a 5 port Gigabit Switch with SGMII/HSGMII upstream port.
> 
> This is starting to get in the wild and there are already some router
> having this switch chip.
> 
> It's conceptually similar to mediatek switch but register and bits
> are different. And there is that massive Hell that is the PCS
> configuration.
> Saddly for that part we have absolutely NO documentation currently.
> 
> There is this special thing where PHY needs to be calibrated with values
> from the switch efuse. (the thing have a whole cpu timer and MCU)
> 

Totally forgot to fix the devm_dsa_register_switch export symbol, fixed
in v7. Sorry!

-- 
	Ansuel